Bug 218343 - Samba using LDAP causes data loss, update to 3.0.23d
Summary: Samba using LDAP causes data loss, update to 3.0.23d
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-04 19:40 UTC by Matthew Costello
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 3.0.24-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-15 14:34:44 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Costello 2006-12-04 19:40:15 UTC
Description of problem:
When samba is configured to use LDAP as its password database, the following
error will be repeated often in the host.log files:

[2006/12/01 08:33:44, 0] lib/smbldap.c:smbldap_open(1009)
  smbldap_open: cannot access LDAP when not root..

This is a known problem, see https://bugzilla.samba.org/show_bug.cgi?id=4097,
and has been fixed in 3.0.23d.

Version-Release number of selected component (if applicable):
samba-3.0.23c-2

How reproducible:
Configure samba to use LDAP as its password backend
    passdb backend = ldapsam:ldap://ldap-r.ottix.com/


Steps to Reproduce:
1. Configure samba to use LDAP as its password backend
2. Use windows explorer on a WinXPPro client to browse a directory tree on the
   samba server.
3. Create a new MSWord document and save to the directory tree.  Often
   the "save as" will not work, and then subsequent "save"s (Cntrl-S) will
   also silently fail.
  
Actual results:
1. Lots of "smbldap_open: cannot access LDAP when not root.." in the host.log
   files.
2. New document not created on the server.  Extremely unhappy users.

Expected results:


Additional info:
This problem is documented as Samba bug 4097.

Comment 1 Guenther Deschner 2007-03-15 14:34:44 UTC
So it will be fine in 3.0.24 then, too.

Please reopen if it doesn't work as expected.


Note You need to log in before you can comment on or make changes to this bug.